"
" NOTE: Start with gvim -u i-path.vim
"
" Save options
:let s:cpo_save = &cpo
:set cpo&vim
"
" Define a function to put in the #include stuff
"
:function! Include()
:    " Get the current line
:    let l:line = getline(".")
:
:    let l:choice = confirm(
\        "What type of #include is ".l:line."?",
\        "&System\n&Local\nNo \&Change")
:
:    if (l:choice == 1)
:        let l:line = "#include <".l:line.">"
:        call setline(".", l:line)
:        return
:    elseif (l:choice == 2)
:        let l:line = "#include \"".l:line."\""
:        call setline(".", l:line)
:        return
:    elseif (l:choice == 3)    
:        return
:    elseif (l:choice == 0)
:        throw "WARNING: You closed the dialog!"
:    else
:        throw "ERROR: There is no choice ".l:choice."  Huh?"
:    endif
:endfunction

" Now generate a way of calling the function
:map <F11> :call Include()<CR>

" Restore the previous value of 'cpoptions'.
:let &cpo = s:cpo_save
:unlet s:cpo_save
:source ~/.gvimrc
